package com.czg.market.service;

import com.czg.market.dto.AcPushEventDTO;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.service.IService;
import com.czg.market.entity.AcPushEvent;

/**
 * 公众号推送任务 服务层。
 *
 * @author ww
 * @since 2025-10-20
 */
public interface AcPushEventService extends IService<AcPushEvent> {

    /**
     * 分页查询公众号推送任务列表
     */
    Page<AcPushEventDTO> getPushEventPage(Integer page, Integer size, Long shopId, Integer status, Long id);

    /**
     * 添加公众号推送任务
     */
    void addPushEvent(AcPushEventDTO param);

    /**
     * 发送公众号推送任务中的优惠券
     */
    void sendPushEventCoupon(String eventId);

    /**
     * 更新公众号推送任务
     */
    void upPushEvent(AcPushEventDTO param);

    void deletePushEvent(Long id);
}
